 inp$ = "rso33.txt"           'Исходный файл
outno$ = "rso33_.txt"
PRINT
PRINT "Программы для выборки межгорода по организации"
PRINT "Разработал: Медведников Е. для Звездина В. ('СвязьИнформ')"
PRINT
INPUT "Введите код организации: ", kod$
outp$ = "p" + kod$ + ".txt"      'Файл с результатом
OPEN inp$ FOR INPUT AS #1
OPEN outp$ FOR OUTPUT AS #2
OPEN outno$ FOR OUTPUT AS #3
x = 0
y = 0
PRINT
PRINT "Исходный файл:       "; inp$
PRINT "Файл с результатами: "; outp$
PRINT "Идет обработка..."
poisk$ = " **** KOД OPГAHИЗAЦИИ " + kod$
'endpoisk$ = "    ИTOГO ПO OPГAHИЗAЦИИ: " + kod$
endpoisk$ = " ================================================================================================================================"
DO UNTIL EOF(1)
        LINE INPUT #1, a$
        IF INSTR(1, a$, poisk$) <> 0 THEN x = 1
        IF INSTR(1, a$, endpoisk$) <> 0 THEN x = 0
        IF x = 1 THEN
           PRINT #2, a$
        ELSE
           PRINT #3, a$
        END IF
LOOP
CLOSE
PRINT "Ok"
PRINT ""
END

